mohammad_shamseddine's profile

18 Messages

 • 

400 Points

Fri, Nov 12, 2021 7:39 AM

Upgrade VSZ-HS from 5.1.2 to latest release

Hello Team,

I have a virtual smartzone-high scale controller running on version 5.1.2.0.302. The APs associated to the controller are mainly R320. I am planning to upgrade the controller, would you kindly inform me about the latest release that would be possible to upgrade to in my case ? besides, what are the steps required to perform the upgrade from GUI ? and will there be any downtime regarding the APs service ?

Thanks for your valuable responses in advance ! 

Official Solution

Official Rep

 • 

170 Messages

 • 

2.2K Points

2 m ago

Hi Mohammad,

The latest and recommended release available is 5.2.2.0.1161 and you can directly upgrade from 5.1.2 to 5.2.1. If you are updating to latest you would also need to update the latest application signature package. Below is the link where you would find upgrade guide, release note and vSZ image/application signature package to better understand.

https://support.ruckuswireless.com/products/83-virtual-smartzone-vsz#sort=relevancy&f:@commonproducts=[vSCG]

You need to upload the image on controller WEB and hit upgrade button, this would upgrade the controller (provided you have adequate licenses) but the AP's will still be online and on code 5.1.2, you would need to manually go to each zone and change/select zone firmware to latest.

Best Regards

Vineet

(edited)

18 Messages

 • 

400 Points

@vineet_nejawala

Thanks for your response, Can i upgrade directly to 5.2.2 or should upgrade to 5.2.1 first ? 

Also what about version 6.0 ? it is not recommended in my case ? 

Regards  

Official Rep

 • 

170 Messages

 • 

2.2K Points

@mohammad_shamseddine You can directly upgrade from 5.1.2 to 5.2.2. I would suggest to upgrade to 5.2.2 MR (major release) for now and you can update to 6.1 MR once it is out.

Best Regards

Vineet

18 Messages

 • 

400 Points

@vineet_nejawala

Thanks for your response,  i went through the document and concluded the following to perform the upgrade 

• Download the SmartZone 5.2.2.0.317 (GD) Sigpack 1.470.1 (Application Signature Package) and vsz-5-2-2-0-1161-mr1-patch1-software-release-ximg-image
• First goto services and profiles, application control, signature package, and install the new signature package 
• Then goto Administration, upgrade, upload the 5.2.2 .ximg image and perform the upgrade

Would you pls confirm if this is right or no, besides, i am a bit confused regarding the AP firmware, at this stage after performing the above steps , will the AP firmware be upgraded or they will still on 5.1.2 ? and if they are still on 5.1.2, what is additional step needed to upgrade AP firmware also to 5.2.2 ?

Thanks alot for your support 

Official Rep

 • 

1.3K Messages

 • 

18.2K Points

@mohammad_shamseddine that looks good to me.

For AP firmware upgrade, you have to manually go into each zone and change the AP firmware. This means firmware will be available, but you have to manually upgrade each zone to latest/desired AP firmware.

https://docs.commscope.com/bundle/sz-522-adminguide-sz100vsz/page/GUID-F60F250C-7008-4F61-B4E9-04ABC7C8748A.html

Regards,

Syamantak Omer

Official Rep | Staff TSE | CWNA | CCNA | RASZA | RICXI

Follow me on Linkedin

Official Rep

 • 

170 Messages

 • 

2.2K Points

@mohammad_shamseddine

Yes the steps are correct. For the AP upgrade you need to go to each AP zone click on more and click on change firmware and select new code. This behavior is default on SZ/vSZ where controller would upgrade but AP will not until user wants it to, unlike in ZD.

Best Regards

Vineet

 

(edited)

501 Messages

 • 

6.1K Points

2 m ago

Actually you can upgrade to 6.0. But important is not what majority APs are, but if you have at least 1 AP, not supported on that version. Any zone, having at least 1 unsupported AP (even off-line) will prevent you from upgrading. Version 6.0  supports 802.11ax and 802.11ac W2 APs.  So get your model list from vSZ and compare with list in the Release Note for respective vSZ version. 

If all your zones are already on 5.1.2 firmware, than you definitely can upgrade to 6.0.  

501 Messages

 • 

6.1K Points

2 m ago

6.0 has very different menu layout, which is a bit a shock in the beginning.

Important Announcement